namespace Application.Features.Api.Studio.Wallet.GetRevenue;

public sealed record Response(
    int Total,
    RevenueSummary Summary,
    List<RevenueItem> List,
    List<ChartItem> ChartData
);

public sealed record RevenueSummary(
    int GrossAmount,
    int PlatformFee,
    int NetAmount
);

public sealed record RevenueItem(
    int Id,
    string DonorName,
    string? DonorSID,
    int GrossAmount,
    int PlatformFee,
    int NetAmount,
    string Type,
    string? CrewName,
    DateTime CreatedAt
);

public sealed record ChartItem(
    string Date,
    int GrossAmount,
    int PlatformFee,
    int NetAmount
);